
QGIS Application - Bug report #18907

QGIS 3 crashed after duplicating a layout 

2018-05-03 11:48 PM - Torsten Hase

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.1(master) Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26739

Description

QGIS 3 crashed after duplicating a layout

User Feedback

I duplikatet a layout.

Report Details

Crash ID: 02a76d1d6c6626e8dab036324ca1dd7cc8cd6a9d

Stack Trace

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::mapFromSource :

QgsLayoutItemComboBox::setItem qgslayoutitemcombobox.cpp:47

QgsLayoutScaleBarWidget::setGuiElements qgslayoutscalebarwidget.cpp:193

QtPrivate::FunctorCall<QtPrivate::IndexesList<>,QtPrivate::List<>,void,void (__cdecl QgsLayoutScaleBarWidget::*)(void)

__ptr64>::call qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__cdecl QgsLayoutScaleBarWidget::*)(void) __ptr64>::call<QtPrivate::List<>,void>

qobjectdefs_impl.h:170

QtPrivate::QSlotObject<void (__cdecl QgsLayoutScaleBarWidget::*)(void) __ptr64,QtPrivate::List<>,void>::impl

qobject_impl.h:121

QMetaObject::activate :

QgsLayoutObject::changed moc_qgslayoutobject.cpp:138

QgsLayoutItemScaleBar::resizeToMinimumWidth qgslayoutitemscalebar.cpp:480

QgsLayoutItemScaleBar::updateScale qgslayoutitemscalebar.cpp:496

QtPrivate::FunctorCall<QtPrivate::IndexesList<>,QtPrivate::List<>,void,void (__cdecl QgsLayoutItemScaleBar::*)(void)

__ptr64>::call qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__cdecl QgsLayoutItemScaleBar::*)(void) __ptr64>::call<QtPrivate::List<>,void>

qobjectdefs_impl.h:170

QtPrivate::QSlotObject<void (__cdecl QgsLayoutItemScaleBar::*)(void) __ptr64,QtPrivate::List<>,void>::impl qobject_impl.h:121

QMetaObject::activate :

QgsLayoutItemMap::extentChanged moc_qgslayoutitemmap.cpp:220

QgsLayoutItemMap::moveContent qgslayoutitemmap.cpp:314

QgsLayoutViewToolMoveItemContent::layoutReleaseEvent qgslayoutviewtoolmoveitemcontent.cpp:88

QgsLayoutView::mouseReleaseEvent qgslayoutview.cpp:979

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:333

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify qgsapplication.cpp:333

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main main.cpp:1436

WinMain mainwin.cpp:170

__scrt_common_main_seh exe_common.inl:253

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.1.0-Master

QGIS code revision: commit:f75c0a80e6

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-05-04 10:22 AM - Harrissou Santanna

- Priority changed from Low to High

- Assignee deleted (Denis Rouzaud)

- Category changed from Map Tools to Map Composer/Printing

Hi,

I'm not sure a crash should be of a low priority.

#2 - 2018-06-11 05:20 PM - Alessandro Pasotti

- Status changed from Open to Feedback

I cannot reproduce. Can you please check if this is still a bug in recent master builds?

If that is the case, please attach a minimal project and data and step-by-step instructions to reproduce the issue.

#3 - 2018-08-13 02:26 AM - Nyall Dawson

- Status changed from Feedback to Closed

Closed due to lack of feedback
#4 - 2018-08-13 10:37 AM - Giovanni Manghi

- Resolution set to not reproducable
